Subject: creating subdir's in upload dir

From: [email-masked]
Date: Wed, 25 Feb 1998 08:41:09 +0100

Hi,

Our ftp site is ftp.tue.nl and we are using wu-ftpd Version
wu-2.4.2-academ[BETA-14](2) on a Sun Solaris 2.5 machine.
We have an upload directory. In this directory no one can create sub-directories
(rule "upload /info/ftp /ftp/upload yes ftp ftp 0444 nodirs" in ftpaccess) but
I've seen twice that someone succedeed in creating a subdirectory. From the
friday's log:

Feb 20 21:52:45 idefix.tue.nl ftpd[26869]: USER anonymous
Feb 20 21:52:45 idefix.tue.nl ftpd[26869]: PASS [email-masked]
Feb 20 21:52:45 idefix.tue.nl ftpd[26869]: ANONYMOUS FTP LOGIN FROM
c8821-001.v-wave.com [24.108.20.5], [email-masked]
Feb 20 21:52:46 idefix.tue.nl ftpd[26869]: REST 100
Feb 20 21:52:46 idefix.tue.nl ftpd[26869]: REST 0
Feb 20 21:52:46 idefix.tue.nl ftpd[26869]: PWD
Feb 20 21:52:46 idefix.tue.nl ftpd[26869]: TYPE ASCII
Feb 20 21:52:47 idefix.tue.nl ftpd[26869]: PORT
Feb 20 21:52:47 idefix.tue.nl ftpd[26869]: LIST
Feb 20 21:52:51 idefix.tue.nl ftpd[26869]: CWD upload
Feb 20 21:52:51 idefix.tue.nl ftpd[26869]: PWD
Feb 20 21:52:52 idefix.tue.nl ftpd[26869]: TYPE ASCII
Feb 20 21:52:52 idefix.tue.nl ftpd[26869]: PORT
Feb 20 21:52:52 idefix.tue.nl ftpd[26869]: LIST
Feb 20 21:53:11 idefix.tue.nl ftpd[26869]: MKD hidden
Feb 20 21:53:11 idefix.tue.nl ftpd[26869]: PWD
Feb 20 21:53:11 idefix.tue.nl ftpd[26869]: TYPE ASCII
Feb 20 21:53:12 idefix.tue.nl ftpd[26869]: PORT
Feb 20 21:53:12 idefix.tue.nl ftpd[26869]: LIST
Feb 20 21:53:23 idefix.tue.nl ftpd[26869]: CWD /upload/hidden
Feb 20 21:53:24 idefix.tue.nl ftpd[26869]: PWD

When I try to create a sub-dir wu-ftpd refuses with a message: 

ftp>  mkdir bla
530 bla: Permission denied. (Upload dirs)

This is the correct behavior. I'm thinking that there is a bug in wu-ftpd. 
At the moment I have "solved" the problem by denying those sites which are
creating sub-dirs for distributing warez.

kind regards,
Ivan

----
Ivan Saez Scheihing , Eindhoven University of Technology
Information and Communication Technology Services 1.33,  +31 40 2472139
P.O.Box 513, 5600 MB Eindhoven, The Netherlands
E-Mail: [email-masked]